# Configuration for the welcome module. The welcome page
# displays some information from the branding file.
# Which parts it displays can be configured through
# the show* variables.
#
# In addition to displaying the welcome page, this module
# can check requirements for installation.
---
# Display settings for various buttons on the welcome page.
# The URLs themselves come from branding.desc is the setting
# here is "true". If the setting is false, the button is hidden.
# The setting can also be a full URL which will then be used
# instead of the one from the branding file, or empty or not-set
# which will hide the button.
showSupportUrl:         true
showKnownIssuesUrl:     true
showReleaseNotesUrl:    true

# If this Url is set to something non-empty, a "donate"
# button is added to the welcome page alongside the
# others (see settings, above). Clicking the button opens
# the corresponding link. (This button has no corresponding
# branding.desc string)
#
# showDonateUrl:  https://kde.org/community/donations/

# Requirements checking. These are general, generic, things
# that are checked. They may not match with the actual requirements
# imposed by other modules in the system.
requirements:
    # Amount of available disk, in GiB. Floating-point is allowed here.
    # Note that this does not account for *usable* disk, so it is possible
    # to pass this requirement, yet have no space to install to.
    requiredStorage:    5.5

    # Amount of available RAM, in GiB. Floating-point is allowed here.
    requiredRam:        1.0

    # To check for internet connectivity, Calamares does a HTTP GET
    # on this URL; on success (e.g. HTTP code 200) internet is OK.
    internetCheckUrl:   http://google.com

    # List conditions to check. Each listed condition will be
    # probed in some way, and yields true or false according to
    # the host system satisfying the condition.
    #
    # This sample file lists all the conditions that are known.
    check:
        - storage
        - ram
        - power
        - internet
        - root
        - screen
    # List conditions that **must** be satisfied (from the list
    # of conditions, above) for installation to proceed.
    # If any of these conditions are not met, the user cannot
    # continue past the welcome page.
    required:
        # - storage
        - ram
        # - root

# GeoIP checking
#
# This can be used to pre-select a language based on the country
# the user is currently in. It *assumes* that there's internet
# connectivity, though. Configuration is like in the locale module,
# but remember to use a URL that returns full data **and** to
# use a selector that will pick the country, not the timezone.
#
# To disable GeoIP checking, either comment-out the entire geoip section,
# or set the *style* key to an unsupported format (e.g. `none`).
# Also, note the analogous feature in src/modules/locale/locale.conf.
#
geoip:
    style:    "none"
    url:      "https://geoip.kde.org/v1/ubiquity"  # extended XML format
    selector: "CountryCode"  # blank uses default, which is wrong

# User interface
#
# The "select language" icon is an international standard, but it
# might not theme very well with your desktop environment.
# Fill in an icon name (following FreeDesktop standards) to
# use that named icon instead of the usual one.
#
# Leave blank or unset to use the international standard.
#
# Known icons in this space are "set-language" and "config-language".
#
# languageIcon: set-language
